maven jdk版本修改

在Eclipse中新建了一个Maven工程, 默认生成的JDK版本是1.5,然后更改JDK版本为1.7, 结果每次使用Maven > Update project的时候JDK版本都恢复成1.5。  
  1. <build>  
  2.         <plugins>  
  3.             <plugin>  
  4.                 <groupId>org.apache.maven.plugins</groupId>  
  5.                 <artifactId>maven-compiler-plugin</artifactId>  
  6.                 <version>3.1</version>  
  7.                 <configuration>  
  8.                     <source>1.8</source> <!-- 源代码使用的开发版本 -->  
  9.                     <target>1.8</target> <!-- 需要生成的目标class文件的编译版本 -->  
  10.                     <!-- 一般而言,target与source是保持一致的,但是,有时候为了让程序能在其他版本的jdk中运行(对于低版本目标jdk,源代码中需要没有使用低版本jdk中不支持的语法),会存在target不同于source的情况 -->  
  11.                     <encoding>UTF8</encoding>  
  12.                     <!--windows默认使用GBK编码,java项目经常编码为utf8,也需要在compiler插件中指出,否则中文乱码可能会出现编译错误 -->  
  13.                 </configuration>  
  14.             </plugin>  
  15.         </plugins>  
  16.         <finalName>gdla</finalName><!-- 项目名 -->  
  17.     </build>  
阅读更多
文章标签: maven jdk版本修改
个人分类: maven jdk版本修改
上一篇org.springframework.web.context.ContextLoaderListener
下一篇javax.servlet.jsp.JspException cannot be resolved to a type
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭